package com.jclark.xsl;

class OrPattern extends SimplePattern {
  private Matchable m1;
  private Matchable m2;
  OrPattern(Matchable m1, Matchable m2) {
    this.m1 = m1;
    this.m2 = m2;
  }
  public boolean matches(ProcessContext context, Node node, int maxAncestors) {
    return m1.matches(context, node, maxAncestors) || m2.matches(context, node, maxAncestors);
  }
}
