package com.jclark.xsl;

public interface ProcessContext {
  void process(Node node, Result result) throws XSLException;
  boolean getStripSource(Node parent);
  /**
   * Returns null if not bound as an macro argument.
   */
  String getMacroArgument(Name name);
  void processContents(Result result) throws XSLException;
  Macro getMacro(Name name);
  String getConstant(Name name) throws XSLException;
  AttributeListTemplate getNamedAttributeSet(Name name);
  boolean hasId(Node node, String name);
  Node getElementWithId(String name);
}

